## edubuntu-menu 26.04.5

=== po/Makefile ===
# Makefile for edubuntu-menu-admin translations
#
# Usage:
#   make          - compile all .po files to .mo
#   make update   - regenerate the .pot template from source
#   make install  - install .mo files to DESTDIR/usr/share/locale
#   make clean    - remove compiled .mo files
#
DOMAIN   = edubuntu-menu-admin
SRCDIR   = ../usr/share/edubuntu-menu-admin
POTFILE  = $(DOMAIN).pot
DESTDIR ?=
PREFIX  ?= /usr/share/locale

POFILES  = $(wildcard *.po)
MOFILES  = $(POFILES:.po=.mo)
LANGS    = $(basename $(POFILES))

.PHONY: all update install clean

all: $(MOFILES)

%.mo: %.po
	msgfmt --check --statistics -o $@ $<

update: $(POTFILE)

$(POTFILE):
	xgettext --language=Python --keyword=_ \
		--package-name=$(DOMAIN) \
		--package-version=1.0 \
		--msgid-bugs-address=ubuntu-studio-devel@lists.ubuntu.com \
		--output=$@ \
		$(SRCDIR)/i18n.py \
		$(SRCDIR)/backend.py \
		$(SRCDIR)/main.py \
		$(SRCDIR)/ui/gtk_ui.py \
		$(SRCDIR)/ui/qt_ui.py

install: $(MOFILES)
	@for lang in $(LANGS); do \
		dir=$(DESTDIR)$(PREFIX)/$$lang/LC_MESSAGES; \
		echo "Installing $$lang → $$dir/$(DOMAIN).mo"; \
		install -d $$dir; \
		install -m 644 $$lang.mo $$dir/$(DOMAIN).mo; \
	done

clean:
	rm -f $(MOFILES)

## edubuntu-menu 23.04.2

=== debian/changelog ===
edubuntu-menu (23.04.2) lunar; urgency=medium

  * Code cleanup
  * Add snaps to icon search path
  * Fixes for lintian issues

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 28 Jan 2023 06:45:27 -0800

edubuntu-menu (23.04.1) lunar; urgency=medium

  * Forked from ubuntustudio-menu
  * Added app to hide items from non-admin users

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 23 Dec 2022 10:48:00 -0800

=== debian/control ===
Source: edubuntu-menu
Section: admin
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~edubuntu-dev/+git/edubuntu-menu
Vcs-Browser: https://git.launchpad.net/~edubuntu-dev/+git/edubuntu-menu
Homepage: https://launchpad.net/~edubuntu-dev

Package: edubuntu-menu
Architecture: all
Depends: ${misc:Depends},
         hicolor-icon-theme,
         libglib2.0-bin,
         xdg-utils, 
         zenity
Recommends: gnome-shell-extension-alphabetical-grid
Conflicts: ubuntustudio-menu
Description: Menu and Application Folders for Edubuntu
 Application Folders for Edubuntu. This breaks up Edubuntu's GNOME
 application overview into organized folders based on education subject
 for ease of learning in a classroom setting. Contains utilities for
 resetting to defaults and hiding icons from non-admin users.

## edubuntu-menu 23.10.6

=== debian/changelog ===
edubuntu-menu (23.10.6) mantic; urgency=medium

  * Add folder for Office to folder-children

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 26 Aug 2023 11:15:43 -0700

edubuntu-menu (23.10.5) mantic; urgency=medium

  * Add folder for Office (Libreoffice) applications
  * Add Squeak to Technology folder

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 16 Aug 2023 10:54:09 -0700

edubuntu-menu (23.10.4) mantic; urgency=medium

  * Rename for default hidden askubuntu icon for non-admins
  * Hide Menu Administration by default
  * Move Dia to Art folder
  * Add Scratch to Technology folder

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 15 Aug 2023 19:25:29 -0700

edubuntu-menu (23.10.3) mantic; urgency=medium

  * Improve logic for menu-admin to look for snaps

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 14 Aug 2023 20:26:56 -0700

edubuntu-menu (23.10.2) mantic; urgency=medium

  * Put askubuntu icon back in Edubuntu Info app folder
  * Add basic256 to Technology folder

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 08 Jul 2023 12:42:49 -0700

edubuntu-menu (23.10.1) mantic; urgency=medium

  * Welcome to Mantic Minotaur!
  * Move askubuntu icon to edubuntu namespace (LP: #2025196)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 27 Jun 2023 19:03:12 -0700

## edubuntu-menu 23.10.13

=== debian/changelog ===
edubuntu-menu (23.10.13) mantic; urgency=medium

  * Move user conf to usr/share/dconf and make alternative

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 24 Sep 2023 14:32:37 -0700

edubuntu-menu (23.10.12) mantic; urgency=medium

  * ~'s in dpkg-maintscript-helper don't work.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 23 Sep 2023 08:05:30 -0700

edubuntu-menu (23.10.11) mantic; urgency=medium

  * Add maintscript helper for move of conffile (LP: #2025196)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 22 Sep 2023 08:47:53 -0700

edubuntu-menu (23.10.10) mantic; urgency=medium

  * Move /etc/dconf/profile/user to edubuntu namespace (LP: #2025196)
    - Avoids file conflicts, contents of files merge if identical

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 21 Sep 2023 12:33:50 -0700

edubuntu-menu (23.10.9) mantic; urgency=medium

  * Dynamically generate appfolders (LP: #2035011)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 11 Sep 2023 13:21:51 -0700

edubuntu-menu (23.10.8) mantic; urgency=medium

  * Replace missed ubuntustudio-logo icons with edubuntu-logo (LP: #2034970)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 08 Sep 2023 13:11:16 -0700

edubuntu-menu (23.10.7) mantic; urgency=medium

  * Move /etc/dconf/profile/user and install via postinst (LP: #2025196)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 07 Sep 2023 13:55:16 -0700

## edubuntu-menu 24.04.2

=== debian/changelog ===
edubuntu-menu (24.04.2) noble; urgency=medium

  * Update Utilities folder

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 08 Mar 2024 11:10:57 -0800

edubuntu-menu (24.04.1) noble; urgency=medium

  * Welcome to Noble Numbat!
  * Add Teaching and Music Education folders

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 14 Feb 2024 10:27:16 -0800

## edubuntu-menu 24.04.2.2

=== debian/changelog ===
edubuntu-menu (24.04.2.2) noble; urgency=medium

  * Add discourse and support links to Info and Admin folder (LP: #2093141)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 09 Jan 2025 22:06:30 -0800

edubuntu-menu (24.04.2.1) noble; urgency=medium

  * Switch support from Ask Ubuntu to Ubuntu Discourse (LP: #2093141)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 07 Jan 2025 12:35:01 -0800

## edubuntu-menu 24.10.2

=== debian/changelog ===
edubuntu-menu (24.10.2) oracular; urgency=medium

  * Update with new items for oracular

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 15 Sep 2024 21:11:47 -0700

edubuntu-menu (24.10.1) oracular; urgency=medium

  [ Erich Eickmeyer ]
  * Welcome to Oracular Oriole!

  [ Cristian Delgado ]
  * Add Spanish translations

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 25 Jun 2024 21:41:59 -0700

## edubuntu-menu 24.10.2.2

=== debian/changelog ===
edubuntu-menu (24.10.2.2) oracular; urgency=medium

  * Add discourse and support links to Info and Admin folder (LP: #2093141)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 09 Jan 2025 22:05:00 -0800

edubuntu-menu (24.10.2.1) oracular; urgency=medium

  * Switch support from Ask Ubuntu to Ubuntu Discourse (LP: #2093141)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 07 Jan 2025 12:30:35 -0800

## edubuntu-menu 25.04.3

=== debian/changelog ===
edubuntu-menu (25.04.3) plucky; urgency=medium

  * Add discourse and support links to Info and Admin folder (LP: #2903141)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 09 Jan 2025 22:03:01 -0800

edubuntu-menu (25.04.2) plucky; urgency=medium

  * Fix discourse link

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 07 Jan 2025 12:55:35 -0800

edubuntu-menu (25.04.1) plucky; urgency=medium

  * Welcome to Plucky Puffin!
  * Switch support from Ask Ubuntu to Ubuntu Discourse (LP: #2093141)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 06 Jan 2025 21:53:13 -0800

## edubuntu-menu 25.04.4

=== debian/changelog ===
edubuntu-menu (25.04.4) plucky; urgency=medium

  * Add Kvantum manager to Utilities

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 19 Feb 2025 10:17:33 -0800

## edubuntu-menu 25.10.1

=== debian/changelog ===
edubuntu-menu (25.10.1) questing; urgency=medium

  * Welcome to Questing Quakka!
  * Add new menu items to appropriate categories

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 05 Sep 2025 20:40:02 -0700

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
          xdg-utils, 
          zenity
 Recommends: gnome-shell-extension-alphabetical-grid
-Conflicts: ubuntustudio-menu
 Description: Menu and Application Folders for Edubuntu
  Application Folders for Edubuntu. This breaks up Edubuntu's GNOME
  application overview into organized folders based on education subject

## edubuntu-menu 26.04.2

=== debian/changelog ===
edubuntu-menu (26.04.2) resolute; urgency=medium

  * Fix Desktop Environment detection - determines frontend toolkit

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 17 Feb 2026 20:10:58 -0800

edubuntu-menu (26.04.1) resolute; urgency=medium

  * Welcome to Resolute Raccoon!
  * Python rewrite of edubuntu-menu-admin including translations and cockpit module

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 17 Feb 2026 19:22:44 -0800

## edubuntu-menu 26.04.5

=== debian/changelog ===
edubuntu-menu (26.04.5) resolute; urgency=medium

  * Reorder application entries in various app folders for improved
    organization, adding new ones

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 18 Feb 2026 15:33:10 -0800

edubuntu-menu (26.04.4) resolute; urgency=medium

  * Update translations

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 18 Feb 2026 12:40:14 -0800

edubuntu-menu (26.04.3) resolute; urgency=medium

  * Fix menu-admin hang on launch
  * Fix for non-user users showing up in menu-admin
  * Polish UI
  * Make per-user list dynamic based on global list

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 18 Feb 2026 08:59:31 -0800

=== debian/control ===
Source: edubuntu-menu
Section: admin
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Build-Depends: debhelper-compat (= 13), gettext, python3
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~edubuntu-dev/+git/edubuntu-menu
Vcs-Browser: https://git.launchpad.net/~edubuntu-dev/+git/edubuntu-menu
Homepage: https://launchpad.net/~edubuntu-dev

Package: edubuntu-menu
Architecture: all
Depends: ${misc:Depends},
         hicolor-icon-theme,
         libglib2.0-bin,
         pkexec,
         polkitd,
         python3,
         xdg-utils,
         gir1.2-adw-1 | python3-pyqt6,
         python3-gi | python3-pyqt6
Recommends: gnome-shell-extension-alphabetical-grid
Suggests: cockpit
Description: Menu and Application Folders for Edubuntu
 Application Folders for Edubuntu. This breaks up Edubuntu's GNOME
 application overview into organized folders based on education subject
 for ease of learning in a classroom setting. Contains utilities for
 resetting to defaults and hiding icons from non-admin users.
 .
 This version uses Python with GTK 4 (libadwaita) or Qt 6 (PyQt6),
 automatically selecting the appropriate toolkit for the running
 desktop environment.

## edubuntu-menu 26.04.6

=== debian/changelog ===
edubuntu-menu (26.04.6) resolute; urgency=medium

  * Fix translation build

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 20 Feb 2026 08:54:12 -0800

## edubuntu-menu 26.04.7

=== debian/changelog ===
edubuntu-menu (26.04.7) resolute; urgency=medium

  * Enhance Qt interface of menu-admin

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 21 Feb 2026 13:52:14 -0800

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C po all

override_dh_auto_install:
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/edubuntu-menu

override_dh_auto_clean:
	$(MAKE) -C po clean

## edubuntu-menu 26.04.8

=== po/Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 		$(SRCDIR)/i18n.py \
 		$(SRCDIR)/backend.py \
 		$(SRCDIR)/main.py \
+		$(SRCDIR)/ui/base.py \
 		$(SRCDIR)/ui/gtk_ui.py \
 		$(SRCDIR)/ui/qt_ui.py

=== debian/changelog ===
edubuntu-menu (26.04.8) resolute; urgency=medium

  * Add ability to disable terminal keyboard shortcut for non-admins
  * Hide Ptyxis by default for non-admins

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 01 Mar 2026 16:53:15 -0800
